com.ihr.xbrl.om.xdt

## Class XDTValidationELRorNothing

- java.lang.Object
- - com.ihr.xbrl.om.xdt.XDTValidationELRorNothing

- All Implemented Interfaces:
    Branch

      public class XDTValidationELRorNothing
      extends java.lang.Object
      implements Branch

  This is a section inside a XDTValidationDetails object.

  While the XDTValidationDetails class contains the validation of an entire fact, this class contains the details of validation of hypercubes in one ELR.

  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XDTValidationELRorNothing()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHypercubeValidation(XDTValidationHypercube hc)` Adds the hypercube validation.
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getDetailedDescription()` Gets the detailed description.
    `java.lang.String` | `getTitle()` Gets the title.
    `int` | `hashCode()`
    `boolean` | `isExpanded()` Checks if is expanded.
    `boolean` | `isLeaf()` Checks if is leaf.
    `void` | `setExpanded(boolean value)` Sets the expanded.
    `void` | `setMessageToken(java.lang.String token)` The token will be used later to create the validation message.
    `void` | `setRole(java.lang.String uri)` Sets the role.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XDTValidationELRorNothing

          public XDTValidationELRorNothing()

  - ### Method Detail

    - #### setMessageToken

          public void setMessageToken(java.lang.String token)

      The token will be used later to create the validation message.
      Parameters:
        `token` - the new message token

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### addHypercubeValidation

          public void addHypercubeValidation(XDTValidationHypercube hc)

      Adds the hypercube validation.
      Parameters:
        `hc` - the hc

    - #### setRole

          public void setRole(java.lang.String uri)

      Sets the role.
      Parameters:
        `uri` - the new role

    - #### getTitle

          public java.lang.String getTitle()

      Description copied from interface: `Branch`
      Gets the title.
      Specified by:
        `getTitle` in interface `Branch`
      Returns:
        the title

    - #### getDetailedDescription

          public java.lang.String getDetailedDescription()

      Description copied from interface: `Branch`
      Gets the detailed description.
      Specified by:
        `getDetailedDescription` in interface `Branch`
      Returns:
        the detailed description

    - #### isExpanded

          public boolean isExpanded()

      Description copied from interface: `Branch`
      Checks if is expanded.
      Specified by:
        `isExpanded` in interface `Branch`
      Returns:
        true, if is expanded

    - #### setExpanded

          public void setExpanded(boolean value)

      Description copied from interface: `Branch`
      Sets the expanded.
      Specified by:
        `setExpanded` in interface `Branch`
      Parameters:
        `value` - the new expanded

    - #### isLeaf

          public boolean isLeaf()

      Description copied from interface: `Branch`
      Checks if is leaf.
      Specified by:
        `isLeaf` in interface `Branch`
      Returns:
        true, if is leaf

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`